Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TestEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TestEditor.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TestEditor.java	(revision 1005)
@@ -4,30 +4,13 @@
 
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.custom.ScrolledComposite;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.graphics.Rectangle;
 import org.eclipse.swt.widgets.Button;
-import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.CoolBar;
-import org.eclipse.swt.widgets.CoolItem;
-import org.eclipse.swt.widgets.Label;
-import org.eclipse.swt.widgets.Text;
-import org.eclipse.swt.widgets.ToolBar;
-import org.eclipse.swt.widgets.ToolItem;
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
-import org.eclipse.swt.custom.StackLayout;
-import org.eclipse.swt.layout.FillLayout;
-import org.eclipse.swt.layout.FormLayout;
-import org.eclipse.swt.layout.FormData;
-import org.eclipse.swt.layout.FormAttachment;
-import org.eclipse.swt.graphics.Rectangle;
 
 
 public class TestEditor extends EditorPart {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CospusStructuresField.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CospusStructuresField.java	(revision 1004)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CospusStructuresField.java	(revision 1005)
@@ -28,7 +28,7 @@
 		String[] values = {};
 		int[] selection = {};
 		
-		Object sel = CorporaView.getSelection();
+		Object sel = CorporaView.getFirstSelectedObject();
 		if ((sel instanceof Corpus)) {
 			Corpus c = (Corpus)sel;
 			List<StructuralUnit> l;
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java	(revision 1005)
@@ -23,7 +23,7 @@
 	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof InternalView)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof InternalView)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadVue.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadVue.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadVue.java	(revision 1005)
@@ -30,7 +30,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.LoadVue_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadStructure.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadStructure.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadStructure.java	(revision 1005)
@@ -27,7 +27,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.LoadStructure_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ExportGlozzCorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ExportGlozzCorpus.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ExportGlozzCorpus.java	(revision 1005)
@@ -36,7 +36,7 @@
 			// Open the parameters input dialog box
 			if (!ParametersDialog.open(this)) return null;
 
-			Object first = CorporaView.getSelection();
+			Object first = CorporaView.getFirstSelectedObject();
 			if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 				System.out.println(Messages.ExportGlozzCorpus_0+first);
 				return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/EditVue.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/EditVue.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/EditVue.java	(revision 1005)
@@ -29,7 +29,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println("Selection is not a corpus: "+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/EditStructure.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/EditStructure.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/EditStructure.java	(revision 1005)
@@ -28,7 +28,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.EditStructure_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructureAsGlozzModel.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructureAsGlozzModel.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructureAsGlozzModel.java	(revision 1005)
@@ -18,7 +18,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.SaveStructureAsGlozzModel_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadStructureFromGlozz.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadStructureFromGlozz.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadStructureFromGlozz.java	(revision 1005)
@@ -25,7 +25,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.LoadStructureFromGlozz_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadCorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadCorpus.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/LoadCorpus.java	(revision 1005)
@@ -35,7 +35,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.LoadCorpus_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveVue.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveVue.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveVue.java	(revision 1005)
@@ -25,7 +25,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.SaveVue_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportGlozzAnnotations.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportGlozzAnnotations.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportGlozzAnnotations.java	(revision 1005)
@@ -60,7 +60,7 @@
 			return false;
 		}
 
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.ImportGlozzAnnotations_1+first);
 			return false;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructure.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructure.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructure.java	(revision 1005)
@@ -24,7 +24,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.SaveStructure_0+first);
 			return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ExportTEICorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ExportTEICorpus.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ExportTEICorpus.java	(revision 1005)
@@ -41,7 +41,7 @@
 			// Open the parameters input dialog box
 			if (!ParametersDialog.open(this)) return null;
 
-			Object first = CorporaView.getSelection();
+			Object first = CorporaView.getFirstSelectedObject();
 			if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 				System.out.println(Messages.ExportTEICorpus_0+first);
 				return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportTEIAnnotations.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportTEIAnnotations.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportTEIAnnotations.java	(revision 1005)
@@ -44,7 +44,7 @@
 			// Open the parameters input dialog box
 			if (!ParametersDialog.open(this)) return null;
 
-			Object first = CorporaView.getSelection();
+			Object first = CorporaView.getFirstSelectedObject();
 			if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 				System.out.println(Messages.ImportTEIAnnotations_0+first);
 				return null;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java	(revision 1004)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java	(revision 1005)
@@ -31,7 +31,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		Object first = CorporaView.getSelection();
+		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.Corpus)) {
 			System.out.println(Messages.SaveCorpus_0+first);
 			return null;
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 1004)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 1005)
@@ -89,7 +89,7 @@
 				}
 	
 				if (lexicalTable == null) {
-					return super.logCanNotCompute(selection);
+					return super.logCanNotExecuteCommand(selection);
 				}
 				specificities = new Specificities(lexicalTable);
 			}
Index: tmp/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/handlers/ComputeCooccurrenceGraph.java
===================================================================
--- tmp/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/handlers/ComputeCooccurrenceGraph.java	(revision 1004)
+++ tmp/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/handlers/ComputeCooccurrenceGraph.java	(revision 1005)
@@ -75,7 +75,7 @@
 		}
 		// Error
 		else	{
-			return super.logCanNotCompute(selection);
+			return super.logCanNotExecuteCommand(selection);
 		}
 		
 		ChartEditor.openEditor(coocGraph);
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1004)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1005)
@@ -125,7 +125,7 @@
 			}
 			// Error
 			else {
-				return this.logCanNotCompute(selection);
+				return this.logCanNotExecuteCommand(selection);
 			}
 		}
 
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Cooccurrence)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof Cooccurrence)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
